%define major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticdevelname %mklibname %{name} -d -s

Summary:	A library used to create PNG, JPEG, or WBMP images
Name:		gd
Version:	2.0.35
Release:	%mkrel 8
License:	BSD-style
Source0:	http://www.libgd.org/releases/%{name}-%{version}.tar.bz2
Patch0:		gd-2.0.35-format_not_a_string_literal_and_no_format_arguments.diff
Group:		System/Libraries
URL:		http://www.libgd.org/
#It uses freetype2-devel, but uses the old library for gdttf
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	freetype2-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	X11-devel
BuildRequires:	xpm-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
gd is a graphics library. It allows your code to quickly draw images complete
with lines, arcs, text, multiple colors, cut and paste from other images, and
flood fills, and write out the result as a PNG or JPEG file. This is
particularly useful in World Wide Webapplications, where PNG and JPEG are two
of the formats accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program, you are
looking in the wrong place. If you are not a programmer, you are looking in the
wrong place. 

gd does not provide for every possible desirable graphics operation. It is not
necessary or desirable for gd to become a kitchen-sink graphics package, but
version 1.7.3 incorporates most of the commonly requested features for an 8-bit
2D package.

%package -n	%{libname}
Summary:	A library used to create PNG, JPEG, or WBMP images
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}
Obsoletes:	%name

%description -n	%{libname}
gd is a graphics library. It allows your code to quickly draw images complete
with lines, arcs, text, multiple colors, cut and paste from other images, and
flood fills, and write out the result as a PNG or JPEG file. This is
particularly useful in World Wide Webapplications, where PNG and JPEG are two
of the formats accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program, you are
looking in the wrong place. If you are not a programmer, you are looking in the
wrong place. 

gd does not provide for every possible desirable graphics operation. It is not
necessary or desirable for gd to become a kitchen-sink graphics package, but
version 1.7.3 incorporates most of the commonly requested features for an 8-bit
2D package.

This package contains the library needed to run programs dynamically linked
with libgd.

%package -n	%{develname}
Summary:	The development libraries and header files for gd
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Provides:	%{mklibname %{name} 2 -d} = %{version}-%{release}
Obsoletes:	%{mklibname %{name} 2 -d}

%description -n	%{develname}
gd is a graphics library. It allows your code to quickly draw images complete
with lines, arcs, text, multiple colors, cut and paste from other images, and
flood fills, and write out the result as a PNG or JPEG file. This is
particularly useful in World Wide Webapplications, where PNG and JPEG are two
of the formats accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program, you are
looking in the wrong place. If you are not a programmer, you are looking in the
wrong place. 

gd does not provide for every possible desirable graphics operation. It is not
necessary or desirable for gd to become a kitchen-sink graphics package, but
version 1.7.3 incorporates most of the commonly requested features for an 8-bit
2D package.

These are the development libraries and header files for gd, the .png and .jpeg
graphics library. If you're installing the gd graphics library, you'll probably
want to install gd-devel.

%package -n	%{staticdevelname}
Summary:	Static GD library
Group:		Development/C
Requires:	%{develname} = %{version}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	%{mklibname %{name} 2 -d -s} = %{version}-%{release}
Obsoletes:	%{mklibname %{name} 2 -d -s}

%description -n	%{staticdevelname}
gd is a graphics library. It allows your code to quickly draw images complete
with lines, arcs, text, multiple colors, cut and paste from other images, and
flood fills, and write out the result as a PNG or JPEG file. This is
particularly useful in World Wide Webapplications, where PNG and JPEG are two
of the formats accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program, you are
looking in the wrong place. If you are not a programmer, you are looking in the
wrong place. 

gd does not provide for every possible desirable graphics operation. It is not
necessary or desirable for gd to become a kitchen-sink graphics package, but
version 1.7.3 incorporates most of the commonly requested features for an 8-bit
2D package.

This package contains static gd library.

%package	utils
Requires:	%{libname} = %{version}
Summary:	The Utils files for gd
Group:		System/Libraries

%description	utils
gd is a graphics library. It allows your code to quickly draw images complete
with lines, arcs, text, multiple colors, cut and paste from other images, and
flood fills, and write out the result as a PNG or JPEG file. This is
particularly useful in World Wide Webapplications, where PNG and JPEG are two
of the formats accepted for inlineimages by most browsers.

gd is not a paint program. If you are looking for a paint program, you are
looking in the wrong place. If you are not a programmer, you are looking in the
wrong place. 

gd does not provide for every possible desirable graphics operation. It is not
necessary or desirable for gd to become a kitchen-sink graphics package, but
version 1.7.3 incorporates most of the commonly requested features for an 8-bit
2D package.

This package contains various utilities utilizing the gd library.

%prep

%setup -q -n gd-%{version}
%patch0 -p0 -b .format_not_a_string_literal_and_no_format_arguments

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal-1.7; automake-1.7 --copy --add-missing; autoconf

%configure2_5x

%make 

%install
rm -rf %{buildroot} 

%makeinstall

sed -i -e 's!-Wl,--as-needed!!' -e 's!-Wl,--no-undefined!!' %{buildroot}%{_bindir}/gdlib-config

%multiarch_binaries %{buildroot}%{_bindir}/gdlib-config
%multiarch_includes %{buildroot}%{_includedir}/gd.h

install -m0644 gdhelpers.h %{buildroot}%{_includedir}/

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot} 

%files -n %{libname}
%defattr(-,root,root)
%doc README.TXT index.html
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/gdlib-config
%multiarch %{multiarch_bindir}/gdlib-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*.h
%multiarch %{multiarch_includedir}/*.h

%files -n %{staticdevelname}
%defattr(-,root,root)
%{_libdir}/lib*.a

%files utils
%defattr(-,root,root)
%{_bindir}/annotate
%{_bindir}/bdftogd
%{_bindir}/gd2copypal
%{_bindir}/gd2topng
%{_bindir}/gdparttopng
%{_bindir}/gdtopng
%{_bindir}/pngtogd
%{_bindir}/pngtogd2
%{_bindir}/webpng
%{_bindir}/gd2togif
%{_bindir}/gdcmpgif
%{_bindir}/giftogd2


%changelog
* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.35-8mdv2009.1
+ Revision: 316589
- fix build with -Werror=format-security (P0)

* Fri Nov 07 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.35-7mdv2009.1
+ Revision: 300707
- rebuilt against new libxcb

* Mon Sep 01 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.35-6mdv2009.0
+ Revision: 278488
- add missing header (needed by php-5.3.x)

* Wed Jul 02 2008 Pixel <pixel@mandriva.com> 2.0.35-5mdv2009.0
+ Revision: 230660
- remove --no-undefined and --as-needed from "gdlib-config --ldflags"

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.35-4mdv2009.0
+ Revision: 221042
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 28 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.35-3mdv2008.1
+ Revision: 176225
- remove white noise (very funny!)
- fix devel package naming
- fix descriptions

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.35-2mdv2008.1
+ Revision: 150096
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 22 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.35-1mdv2008.0
+ Revision: 42898
- 2.0.35


* Mon Feb 12 2007 Stew Benedict <sbenedict@mandriva.com> 2.0.34-1mdv2007.0
+ Revision: 120041
- 2.0.34
  drop P0-P2, merged upstream
  new URL

* Wed Feb 07 2007 Stew Benedict <sbenedict@mandriva.com> 2.0.33-7mdv2007.1
+ Revision: 116953
- yeah, add the patch too, love this build system
- P2: security fix for CVE-2007-0455

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.33-6mdv2007.1
+ Revision: 74670
- bunzip patches
- Import gd

* Tue Jun 27 2006 Stew Benedict <sbenedict@mandriva.com> 2.0.33-5mdv2006.0
- P1: security fix for CVE-2006-2096

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0.33-4mdk
- Rebuild

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.33-3mdk
- some more multiarch support

* Mon Jan 31 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.33-2mdk
- multiarch support, remove "dot" from summaries

* Thu Nov 11 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.33-1mdk
- 2.0.33, still missing an overflow check - patched (patch0)

* Mon Nov 08 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.32-1mdk
- 2.0.32, conditional gif options go away

* Sat Oct 23 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.28-1mdk
- 2.0.28

* Mon Jul 26 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0.27-3mdk
- add BuildRequires: gettext-devel

* Wed Jul 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.27-2mdk
- add conditional gif support (not enabled per default)
- spec file cleanups

* Tue Jul 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.27-1mdk
- 2.0.27

* Thu Jun 10 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.26-1mdk
- 2.0.26

* Sun Apr 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0.22-1mdk
- 2.0.22
- fix buildrequires
- spec cosmetics

